const sefaz = require('../model/sefaz');

class SefazController {
  /**
   * @returns versão do monitoramento
   */
  varsao() {
    return '0.0.1';
  }

  /**
   * @returns Lista as Vendas Delivery com erros
   */
  async getSefaz(data) {
    const webservicesSefaz = [];
    const { rows } = await sefaz.getAll(data);
    if (rows.length > 0) {
      rows.forEach((element) => {
        webservicesSefaz.push({
          dsestado: element[2],
          cdservvirtual: element[12],
          idnormal: element[17],
          idscan: element[18],
          idsvc: element[19],
          id: element[20],
        });
      });
    }
    return webservicesSefaz;
  }
}

module.exports = new SefazController();
