const OracleService = require('../service/OracleService');

class acmInsRelVendasModel {
  constructor() {
    this.GET_ACMINSRELVENDAS = `
            INSERT INTO RELVENDAS
                 (CDFILIAL, CDCAIXA, DTENTRVENDA, QTVENDASMSDE, QTVENDASORACLE, DTULTATU, VRTOTMSDE, VRTOTORACLE)
            VALUES
                 (:CDFILIAL, :CDCAIXA, TIMESTAMP :DTENTRVENDA, :QTVENDASMSDE, :QTVENDASORACLE, TIMESTAMP :DTULTATU, :VRTOTMSDE, :VRTOTORACLE)
        `;
  }

  get(params, connection) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMINSRELVENDAS, params, [], false, connection);
    });
  }
}

module.exports = new acmInsRelVendasModel();
