
const OracleService = require('../service/OracleService')

class adqSrvUpdConsumidorModel {
    constructor() {
        this.GET_ADQSRVUPDCONSUMIDOR = `
            SELECT
               *
            FROM
               CONSUMIDOR
            WHERE
               CDCONSUMIDOR = :P_CDCONSUMIDOR AND
               CDCLIENTE    = :P_CDCLIENTE
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVUPDCONSUMIDOR, params);
        })
    }
}  

module.exports = new adqSrvUpdConsumidorModel();