
const OracleService = require('../service/OracleService')

class adqValidaEstornoModel {
    constructor() {
        this.GET_ADQVALIDAESTORNO = `
            SELECT E.*
              FROM ESTORNOVND E
             WHERE E.CDFILIAL   = :P_CDFILIAL
               AND E.CDCAIXA    = :P_CDCAIXA
               AND E.NRSEQVENDA = :P_NRSEQVENDA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVALIDAESTORNO, params);
        })
    }
}  

module.exports = new adqValidaEstornoModel();