const OracleService = require('../service/OracleService');

class acmCorrigeCOFINSModel {
  constructor() {
    this.GET_ACMCORRIGECOFINS = `
            BEGIN
               FOR C_ITEMIMPOS IN (SELECT VRIMPCALCCOFINS, VRIMPCOFINS, NRSEQVENDA, CDFILIAL, CDCAIXA, NRSEQUITVEND, NRSEQITIMPOS  FROM
              (SELECT  ROUND_ABNT(IP.VRBCPISCOFINS * (IP.VRPERCOFINS/100),2) AS VRIMPCALCCOFINS,
                 IP.VRIMPCOFINS AS VRIMPCOFINS, VD.NRSEQVENDA, VD.CDFILIAL, VD.CDCAIXA, IT.NRSEQUITVEND,IP.NRSEQITIMPOS
               FROM VENDA VD, ITEMVENDA IT, PRODUTO P,
              (SELECT IV.CDFILIAL, IV.CDCAIXA, IV.NRSEQVENDA, IV.NRSEQUITVEND, I.IDTPIMPOSFIS,
                IV.VRPERPIS, IV.VRPERCOFINS, IV.VRPEALPRODIT, I.CDIMPOSTONFE,
                IV.CDCSTPRODI, IV.CDCSTPRODPC, IV.CDCFOPPROD, IV.NRSEQITIMPOS , IV.VRIMPPIS, IV.VRIMPCOFINS, IV.VRBCPISCOFINS
                 FROM ITVENDAIMPOS IV, IMPOSTO I
                WHERE IV.CDIMPOSTO   = I.CDIMPOSTO
            AND I.IDTPIMPOSFIS <> 'S') IP
            WHERE VD.IDSITUVENDA   = 'O'
                AND VD.IDTPAMBNFCE   = '1'  
                AND VD.IDTPEMISVEND  IN ('N','S')
              AND VD.CDFILIAL = :P_CDFILIAL
                AND VD.DTENTRVENDA   > TRUNC(SYSDATE-2)
                AND VD.CDFILIAL= IT.CDFILIAL
                AND VD.CDCAIXA = IT.CDCAIXA
                AND VD.NRSEQVENDA    = IT.NRSEQVENDA
                AND IT.CDPRODUTO     = P.CDPRODUTO
                AND IT.CDFILIAL= IP.CDFILIAL
                AND IT.CDCAIXA = IP.CDCAIXA
                AND IT.NRSEQVENDA    = IP.NRSEQVENDA
                AND IT.NRSEQUITVEND  = IP.NRSEQUITVEND
              AND VD.IDAPROVACAONFCE = 'P'
                AND IP.CDIMPOSTONFE  IN ('00','80')) A
             WHERE VRIMPCOFINS <> VRIMPCALCCOFINS) LOOP
             UPDATE ITVENDAIMPOS
                SET VRIMPCOFINS  = C_ITEMIMPOS.VRIMPCALCCOFINS
              WHERE CDFILIAL     = C_ITEMIMPOS.CDFILIAL
                AND CDCAIXA= C_ITEMIMPOS.CDCAIXA
                AND NRSEQVENDA   = C_ITEMIMPOS.NRSEQVENDA
                AND NRSEQUITVEND = C_ITEMIMPOS.NRSEQUITVEND
                AND NRSEQITIMPOS = C_ITEMIMPOS.NRSEQITIMPOS;
             COMMIT;
               END LOOP;
            END;
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMCORRIGECOFINS, params);
    });
  }
}

module.exports = new acmCorrigeCOFINSModel();
