
const OracleService = require('../service/OracleService')

class adqSrvObsItemVendaModel {
    constructor() {
        this.GET_ADQSRVOBSITEMVENDA = `
            SELECT *
              FROM OBSITEMVENDA
             WHERE CDFILIAL     = ''
               AND CDCAIXA= ''
               AND NRSEQVENDA   = ''
               AND NRSEQUITVEND = ''
               AND CDGRPOCOR    = ''
               AND CDOCORR= ''
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVOBSITEMVENDA, params);
        })
    }
}  

module.exports = new adqSrvObsItemVendaModel();