function updaterRoute(app){
  app.post('/updater/checkVersion', app.controller.UpdaterControllerEx.checkInstalledVersion)
  app.post('/updater/installVersion', app.controller.UpdaterControllerEx.installVersion)
  app.post('/updater/removeVersion', app.controller.UpdaterControllerEx.removeVersion)
  app.post('/updater/installVersionInProgress', app.controller.UpdaterControllerEx.installVersionInProgress)
  app.post('/updater/removeVersionInProgress', app.controller.UpdaterControllerEx.removeVersionInProgress)
  app.post('/updater/finishUpdater', app.controller.UpdaterControllerEx.finishUpdater)
  app.post('/updater/cancelUpdater', app.controller.UpdaterControllerEx.cancelUpdater)
  app.post('/updater/cancelUnitEvents', app.controller.UpdaterControllerEx.cancelUnitEvents)
  app.post('/updater/getPendingEvents', app.controller.UpdaterControllerEx.getPendingEvents)
  app.post('/updater/getPendingEventsByUnit', app.controller.UpdaterControllerEx.getPendingEventsByUnit)
  app.post('/updater/getAvailablePackages', app.controller.UpdaterControllerEx.getAvailablePackages)
  app.post('/updater/saveConfigDb', app.controller.UpdaterControllerEx.saveConfigDb)
  app.post('/updater/getConfigIniByUnit', app.controller.UpdaterControllerEx.getConfigIniByUnit)
  app.post('/updater/saveConfigIniByUnit', app.controller.UpdaterControllerEx.saveConfigIniByUnit)
  app.post('/updater/getConfigHistoryByUnit', app.controller.UpdaterControllerEx.getConfigHistoryByUnit)
  app.post('/updater/getProdConfig', app.controller.UpdaterControllerEx.getProdConfig)
  app.post('/updater/saveProdConfig', app.controller.UpdaterControllerEx.saveProdConfig)
  app.post('/updater/startServiceMonitor', app.controller.UpdaterControllerEx.startServiceMonitor)
  app.post('/updater/stopServiceMonitor', app.controller.UpdaterControllerEx.stopServiceMonitor)
  app.post('/updater/installNewVersion', app.controller.UpdaterControllerEx.installNewVersion)
  app.post('/updater/removeEventsByUnit', app.controller.UpdaterControllerEx.removeEventsByUnitAndProduct)
  app.post('/updater/updatePackageURL', app.controller.UpdaterControllerEx.updatePackageURL)
}

module.exports = updaterRoute;